Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members | Related Pages

# TAO_DIOP_Profile Class Reference

This class defines the protocol specific attributes required for locating ORBs over a TCP/IP network. More...

`#include <DIOP_Profile.h>`

Inheritance diagram for TAO_DIOP_Profile:

[legend]
Collaboration diagram for TAO_DIOP_Profile:

[legend]
List of all members.

## Public Member Functions
virtual char | object_key_delimiter (void) const
| TAO_DIOP_Profile (const ACE_INET_Addr &addr, const TAO::ObjectKey &object_key, const TAO_GIOP_Message_Version &version, TAO_ORB_Core *orb_core)
| TAO_DIOP_Profile (const char *host, CORBA::UShort port, const TAO::ObjectKey &object_key, const ACE_INET_Addr &addr, const TAO_GIOP_Message_Version &version, TAO_ORB_Core *orb_core)
| TAO_DIOP_Profile (TAO_ORB_Core *orb_core)
| Profile constructor, default.
| ~TAO_DIOP_Profile (void)
| Destructor is to be called only through <_decr_refcnt>.
virtual char * | to_string ()
| Template methods. Please tao/Profile.h for documentation.
virtual int | encode_endpoints (void)
virtual TAO_Endpoint * | endpoint (void)
virtual CORBA::ULong | endpoint_count (void) const
virtual CORBA::ULong | hash (CORBA::ULong max)
void | add_endpoint (TAO_DIOP_Endpoint *endp)
## Static Public Member Functions
const char * | prefix (void)
| Return the char string prefix.
## Static Public Attributes
const char | object_key_delimiter_ = '/'
| The object key delimiter that DIOP uses or expects.
## Protected Member Functions
virtual int | decode_profile (TAO_InputCDR &cdr)
| Template methods. Please see tao/Profile.h for documentation.
virtual void | parse_string_i (const char *string)
virtual void | create_profile_body (TAO_OutputCDR &cdr) const
virtual int | decode_endpoints (void)
virtual CORBA::Boolean | do_is_equivalent (const TAO_Profile *other_profile)
## Protected Attributes
TAO_DIOP_Endpoint | endpoint_
CORBA::ULong | count_
| Number of endpoints in the list headed by <endpoint_>.

## Detailed Description

This class defines the protocol specific attributes required for locating ORBs over a TCP/IP network.

This class defines the DIOP profile as specified in the CORBA specification.

## Constructor & Destructor Documentation

TAO_DIOP_Profile::TAO_DIOP_Profile | ( | const ACE_INET_Addr & | addr,
|  | const TAO::ObjectKey & | object_key,
|  | const TAO_GIOP_Message_Version & | version,
|  | TAO_ORB_Core * | orb_core
| ) |

| Profile constructor, same as above except the object_key has already been marshaled.

TAO_DIOP_Profile::TAO_DIOP_Profile | ( | const char * | host,
|  | CORBA::UShort | port,
|  | const TAO::ObjectKey & | object_key,
|  | const ACE_INET_Addr & | addr,
|  | const TAO_GIOP_Message_Version & | version,
|  | TAO_ORB_Core * | orb_core
| ) |

| Profile constructor, this is the most efficient since it doesn't require any address resolution processing.

TAO_DIOP_Profile::TAO_DIOP_Profile | ( | TAO_ORB_Core * | orb_core | ) |

| Profile constructor, default.

TAO_DIOP_Profile::~TAO_DIOP_Profile | ( | void |  | ) |

| Destructor is to be called only through <_decr_refcnt>.

## Member Function Documentation

void TAO_DIOP_Profile::add_endpoint | ( | TAO_DIOP_Endpoint * | endp | ) |

| Add <endp> to this profile's list of endpoints (it is inserted next to the head of the list). This profiles takes ownership of <endp>.

void TAO_DIOP_Profile::create_profile_body | ( | TAO_OutputCDR & | cdr | ) | const`[protected, virtual]`

| Implements TAO_Profile.

int TAO_DIOP_Profile::decode_endpoints | ( | void |  | ) | `[protected, virtual]`

| Implements TAO_Profile.

int TAO_DIOP_Profile::decode_profile | ( | TAO_InputCDR & | cdr | ) | `[protected, virtual]`

| Template methods. Please see tao/Profile.h for documentation. Implements TAO_Profile.

CORBA::Boolean TAO_DIOP_Profile::do_is_equivalent | ( | const TAO_Profile * | other_profile | ) | `[protected, virtual]`

| Implements TAO_Profile.

int TAO_DIOP_Profile::encode_endpoints | ( | void |  | ) | `[virtual]`

| Implements TAO_Profile.

TAO_Endpoint * TAO_DIOP_Profile::endpoint | ( | void |  | ) | `[virtual]`

| Implements TAO_Profile.

CORBA::ULong TAO_DIOP_Profile::endpoint_count | ( | void |  | ) | const`[virtual]`

| Implements TAO_Profile.

CORBA::ULong TAO_DIOP_Profile::hash | ( | CORBA::ULong | max | ) | `[virtual]`

| Implements TAO_Profile.

char TAO_DIOP_Profile::object_key_delimiter | ( | void |  | ) | const`[virtual]`

| Implements TAO_Profile.

void TAO_DIOP_Profile::parse_string_i | ( | const char * | string | ) | `[protected, virtual]`

| Implements TAO_Profile.

const char * TAO_DIOP_Profile::prefix | ( | void |  | ) | `[static]`

| Return the char string prefix.

virtual char* TAO_DIOP_Profile::to_string | ( |  | ) | `[virtual]`

| Template methods. Please tao/Profile.h for documentation. Implements TAO_Profile.

## Member Data Documentation

CORBA::ULong TAO_DIOP_Profile::count_`[protected]`

| Number of endpoints in the list headed by <endpoint_>.

TAO_DIOP_Endpoint TAO_DIOP_Profile::endpoint_`[protected]`

| Head of this profile's list of endpoints. This endpoint is not dynamically allocated because a profile always contains at least one endpoint. Currently, a profile contains more than one endpoint, i.e., list contains more than just the head, only when RTCORBA is enabled. However, in the near future, this will be used in nonRT mode as well, e.g., to support TAG_ALTERNATE_DIOP_ADDRESS feature. Addressing info of the default endpoint, i.e., head of the list, is transmitted using standard DIOP ProfileBody components. See <encode_endpoints> method documentation above for how the rest of the endpoint list is transmitted.

TAO_BEGIN_VERSIONED_NAMESPACE_DECL const char TAO_DIOP_Profile::object_key_delimiter_ = '/'`[static]`

| The object key delimiter that DIOP uses or expects.

The documentation for this class was generated from the following files:

- DIOP_Profile.h
- DIOP_Profile.cpp